#ifndef IMPORTPROGRESSFORM_H
#define IMPORTPROGRESSFORM_H

#include <QWidget>
#include <iimportprogress.h>

namespace Ui {
class ImportProgressForm;
}

class ImportProgressForm : public QWidget, public IImportProgress
{
    Q_OBJECT

public:
    explicit ImportProgressForm(QWidget *parent = 0);
    ~ImportProgressForm();

private slots:
    void on_btnCancel_clicked();

private:
    Ui::ImportProgressForm *ui;
    bool m_terminate;

    // IImportProgress interface
public:
    void updateProgress(int currentPos);
    bool terminate();
};

#endif // IMPORTPROGRESSFORM_H
